## mingw-w64-python-ufolib2-0.18.1-1.src.tar.zst

=== requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile --all-extras --universal --python 3.9 pyproject.toml
appdirs==1.4.4
    # via fs
attrs==25.3.0
    # via
    #   ufolib2 (pyproject.toml)
    #   cattrs
cattrs==25.1.1
    # via ufolib2 (pyproject.toml)
exceptiongroup==1.3.0 ; python_full_version < '3.11'
    # via cattrs
fonttools==4.58.5
    # via ufolib2 (pyproject.toml)
fs==2.4.16
    # via fonttools
lxml==6.0.0
    # via ufolib2 (pyproject.toml)
msgpack==1.1.1
    # via ufolib2 (pyproject.toml)
orjson==3.10.18 ; platform_python_implementation != 'PyPy'
    # via ufolib2 (pyproject.toml)
setuptools==80.9.0
    # via fs
six==1.17.0
    # via fs
typing-extensions==4.14.1
    # via
    #   cattrs
    #   exceptiongroup

=== PKGBUILD ===
# Maintainer: J. Peter Mugaas <jpmugaas@suddenlink.net>

_realname=ufolib2
pkgbase=mingw-w64-python-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-python-${_realname}")
pkgver=0.18.1
pkgrel=1
pkgdesc="A library to deal with UFO font sources (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
msys2_references=(
  'purl: pkg:pypi/ufolib2'
)
msys2_repository_url='https://github.com/fonttools/ufoLib2'
url='https://ufolib2.readthedocs.io/'
license=('spdx:Apache-2.0')
_pydeps=(attrs
         cattrs
         fonttools
         pyfilesystem2 # for fonttools[ufo]
         lxml)
depends=("${MINGW_PACKAGE_PREFIX}-python"
         "${_pydeps[@]/#/${MINGW_PACKAGE_PREFIX}-python-}")
makedepends=("${MINGW_PACKAGE_PREFIX}-python-build"
             "${MINGW_PACKAGE_PREFIX}-python-installer"
             "${MINGW_PACKAGE_PREFIX}-python-setuptools")
checkdepends=("${MINGW_PACKAGE_PREFIX}-python-pytest")
source=("https://pypi.org/packages/source/${_realname::1}/${_realname}/${_realname}-${pkgver}.tar.gz")
sha256sums=('7de0efcc361c573f2537ee7ceabdb3bc64b19b61304cfa25e828caa7db8ae1a4')

prepare() {
  cd "${srcdir}/${_realname}-${pkgver}"

  ## (OPTIONAL) Only if setuptools-scm is used
  # Set version for setuptools_scm
  export SETUPTOOLS_SCM_PRETEND_VERSION=${pkgver}
}

build() {
  msg "Python build for ${MSYSTEM}"
  cp -r "${_realname}-${pkgver}" "python-build-${MSYSTEM}" && cd "python-build-${MSYSTEM}"

  ${MINGW_PREFIX}/bin/python -m build --wheel --skip-dependency-check --no-isolation
}

check() {
  msg "Python test for ${MSYSTEM}"
  cd "${srcdir}/python-build-${MSYSTEM}"

  PYTHONPATH="$(pwd)/src" ${MINGW_PREFIX}/bin/python -m pytest || warning "Tests failed"
}

package() {
  msg "Python install for ${MSYSTEM}"
  cd "${srcdir}/python-build-${MSYSTEM}"

  MSYS2_ARG_CONV_EXCL="--prefix=" \
    ${MINGW_PREFIX}/bin/python -m installer --prefix=${MINGW_PREFIX} \
    --destdir="${pkgdir}" dist/*.whl

  install -Dm644 LICENSE "${pkgdir}${MINGW_PREFIX}/share/licenses/python-${_realname}/LICENSE"
}
